#!/bin/sh
# 
# Copyright 1999 American Power Conversion, All Rights Reserved
#
# Description: This file is used by the _upsd executable to kill all 
#              instances of _xpwrchute and _bkupsd (simple signalling
#              daemon). 
#
# Usage: This script should not be called by itself.
#

KillPCPClients() {
# -----------------------------------------------------------------------
# I could use awk's system() here, but I trust the portablity of /bin/sh
# more than that of awk
# -----------------------------------------------------------------------

    . ./what_os.sh
	if [ "$OS" = "LINUX" ]
	then
       ps ax | awk '/pwrchu/ {print $1}' > tmp.pid
    else
       ps -e | awk '/pwrchu/ {print $1}' > tmp.pid
    fi

	if [ -s tmp.pid ]   #Exists and file size greater than 0
	then
		set `cat tmp.pid`
		while [ ! -z "$1" ]
		do
			echo "killing powerchute client with pid = $1"
			kill -9 $1
			echo "Done."
			shift
		done
	fi
	
	rm -f tmp.pid
}


KillPCPClients


if [ -s bkupsd.pid ]
then
	set `cat bkupsd.pid`
	kill -INT $1
	rm -f bkupsd.pid
fi


