#!/bin/sh
# @(#)pcshut.sh	1.21
#         Copyright 1994, American Power Conversion, Inc.
#
# NAME: pcshut.sh
#
# PATH: /usr3/SCCS/BREAKOFF/UNIX/PCPLUS4.2/s.pcshut.sh
#
# REV: 1.21
#
# LAST MODIFIED: 10/13/95 13:55:37
#
# DESCRIPTION: 
#
# REFERENCES:
#
# NOTES:
#
# REVISIONS:
# ajr10Jun94: Added "QUICK" shutdown support for use with 
#	      LowBatteryShutdownType
# ajr11Jun94: Lets kill off pcplus fe's at shutdown.  Good idea in general, but
#      	      really a quick fix to an SCO problem.
# djs07Apr95: port for UNISYS
# djs24Aug95: Modified AIX shutdown for AIX 4.X
# srl31Aug95: Added alphaosf
# djs05Sep95: Added HPUX9/HPUX10
# djs13Oct95: port to UnixWare 2.x
# mds10Nov98: port to SCO Unixware 7
# msamson11Mar99: port to Linux
# ckuiawa20Apr99: For linux, use ps aux, not ps -e
# twenisch22Apr99: Changed ps aux to ps ax

NORMAL="NORMAL"

SHUTDOWN_TYPE=${1:-$NORMAL}

KillPCPClients() {
# -----------------------------------------------------------------------
# I could use awk's system() here, but I trust the portablity of /bin/sh
# more than that of awk
# -----------------------------------------------------------------------

    . ./what_os.sh
	if [ "$OS" = "LINUX" ]
	then
       ps ax | awk '/pwrchu/ {print $1}' > tmp.pid
    else
       ps -e | awk '/pwrchu/ {print $1}' > tmp.pid
    fi

	if [ -s tmp.pid ]   #Exists and file size greater than 0
	then
		set `cat tmp.pid`
		while [ ! -z "$1" ]
		do
			echo "killing powerchute client with pid = $1"
			kill -9 $1
			echo "Done."
			shift
		done
	fi
	
	rm -f tmp.pid
}


KillPCPClients

. ./what_os.sh

if [ $SHUTDOWN_TYPE = "QUICK" ]
then
	case "$OS" in
		*)
			init 0
			;;
	esac

elif [ $SHUTDOWN_TYPE = "NORMAL" ]
then
	case "$OS" in

		$SOLARIS2X | $SOLARIS2X86)
			cd /
			/usr/sbin/shutdown -y -g0 -i0
			;;
		$OLIV)
			cd /
			/sbin/shutdown -y -g0 -i0
			;;	
		$AIX)
			cd /
			 if [ -r /usr/sbin/shutdown ]
                        then
                          /usr/sbin/shutdown -h +0
                        else
                          /etc/shutdown -h +0
                        fi
			;;
		$UWARE1|$UWARE2)
			./uwareshut
			;;
		$HPUX9)
			cd /
			/etc/shutdown -h -y 0
			;;
		$HPUX10|$LINUX)
			cd /
			/sbin/shutdown -h -y 0
			;;
		$SUNOS4)
			cd /
			shutdown -h now
			;;
	        $ALPHAOSF)
			cd /
			init 0
			;;
		$SGI | $NCR | $INT | $USYS | $SCO | $UWARE7)
			cd /
			/etc/shutdown -y -g0 -i0
			;;
	esac
fi







