#!/bin/sh
#  @(#)what_os.sh	1.26
#        Copyright 1992-1994 American Power Conversion, Inc.
#
# NAME: what_os.sh
#
# PATH: /usr3/SCCS/BREAKOFF/UNIX/PCPLUS4.2/s.what_os.sh
#
# REV: 1.26
#
# DESCRIPTION: 
#
# REFERENCES:
#
# NOTES:
#
# REVISIONS:
# xxxddMMMyy  
# ajr05Mar94: Added HPUX support
# ajr28Jun94: Added PATH env var
# ajr24Aug94: Port to Olivetti
# ajr08Dec94: Port to Interactive
# djs03Apr95: Port to Unisys
# djs06Jun95: Changed default handling of OS_UNKNOWN condition
# djs03Aug95: Port to HPUX10.0
# djs02Oct95: Port to OSF/1
# djs13Oct95: Port to UnixWare 2.X / AIX4.X
# mds07Oct98: Added UWARE7 and removed dead code and a number of functions
#             that were never being called
# msamson16Mar99: port to Linux 
#

#------------------------------------------------------------------------
# Do not change TRUE and FALSE definitions, or || and && logic will fail
#------------------------------------------------------------------------
TRUE=0
FALSE=1

AIX3="AIX 3.x"
AIX4="AIX 4.x"
UWARE1="UnixWare 1.x"
UWARE2="UnixWare 2.x"
SOLARIS2X="SOLARIS2X"
SOLARIS2X86="SOLARIS2X86"
HPUX9="HPUX9"
HPUX10="HPUX10"
SUNOS4="SUNOS4"
SGI="SGI"
SCO="SCO"
NCR="NCR"
OLIV="OLIVETTI"
USYS="UNISYS"
INT="INTERACTIVE"
ALPHAOSF="ALPHAOSF"
UWARE7="UWARE7"
LINUX="LINUX"
OS="OS_UNKNOWN"


PATH=/bin:/usr/bin:/sbin:/usr/sbin:/etc:/usr/ccs/bin
export PATH

if [ ! -r machine_def ]
then
	echo "Improper installation, or corrupted product tree: No machine_def file"
	exit
fi

if [ -r SOLARIS2X ]
then
	OS=$SOLARIS2X
elif [ -r SOLARIS2X86 ]
then
	OS=$SOLARIS2X86
elif [ -r AIX3 ] 
then
	OS=$AIX3
#elif [ -r AIX324- ] || [ -r AIX324+ ]
elif [ -r AIX4 ] 
then
	OS=$AIX4
elif [ -r HPUX9 ]
then
	OS=$HPUX9
elif [ -r HPUX10 ]
then
	OS=$HPUX10
elif [ -r SUNOS4 ]
then
	OS=$SUNOS4
elif [ -r UWARE1 ]
then
        OS=$UWARE1
elif [ -r UWARE2 ]
then
        OS=$UWARE2
elif [ -r NCR ]
then
        OS=$NCR
elif [ -r SCO ]
then
        OS=$SCO
elif [ -r SGI ]
then
	OS=$SGI
elif [ -r OLIVETTI ]
then
	OS=$OLIV
elif [ -r UNISYS ]
then
	OS=$USYS
elif [ -r ALPHAOSF ]
then
        OS=$ALPHAOSF
elif [ -r UWARE7 ]
then
	OS=$UWARE7
elif [ -r LINUX ]
then
	OS=$LINUX
else
	
# The calling script is now responsible for handling an OS_UNKNOWN condition
        OS="OS_UNKNOWN"

fi


case $1 in
SHOWME | showme)
	echo $OS
	cat machine_def
	;;
esac






